# key_defined 3x 2023-12-16 ncurses 6.4 Library calls

    key_defined(3x)                  Library calls                 key_defined(3x)

## NAME

           key_defined - test whether a curses keycode is defined

## SYNOPSIS

           #include <curses.h>

           int key_defined(const char *definition);

## DESCRIPTION

           This  is an extension to the curses library.  It permits an application
           to determine if a string is currently bound to any keycode.

## RETURN VALUE

           If the string is bound to a keycode, its value (greater than  zero)  is
           returned.   If  no  keycode  is bound, zero is returned.  If the string
           conflicts with longer strings which are bound to keys, -1 is returned.

## PORTABILITY

           This routine is specific to ncurses.  It was not supported  on  Version
           7,  BSD  or  System V implementations.  It is recommended that any code
           depending on them be conditioned using NCURSES_VERSION.

## AUTHORS

           Thomas Dickey

## SEE ALSO

           define_key(3x)

    ncurses 6.4                       2023-12-16                   key_defined(3x)